package cn.com.qmth.stmms.biz.report.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.stmms.biz.common.BaseQueryService;
import cn.com.qmth.stmms.biz.report.dao.ReportSubjectClassGroupDao;
import cn.com.qmth.stmms.biz.report.model.ReportSubjectClassGroup;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectClassGroupService;

@Service
public class ReportSubjectClassGroupServiceImpl extends BaseQueryService<ReportSubjectClassGroup> implements
        ReportSubjectClassGroupService {

    @Autowired
    private ReportSubjectClassGroupDao reportSubjectClassGroupDao;

    @Transactional
    @Override
    public void deleteByExamId(Integer examId) {
        reportSubjectClassGroupDao.deleteByExamId(examId);
    }

    @Override
    public ReportSubjectClassGroup save(ReportSubjectClassGroup r) {
        return reportSubjectClassGroupDao.save(r);
    }

    @Transactional
    @Override
    public void updateQuestionCount(Integer examId) {
        reportSubjectClassGroupDao.updateQuestionCount(examId);
    }

}
